{
  pkgs,
  scdoc,
  xclip,
  maim,
  pngquant,
  stdenvNoCC,
  nushell,
  xdotool,
  mpc-cli,
  ...
}:
stdenvNoCC.mkDerivation {
  pname = "irs";
  version = "0.6";
  src = ./src;
  nativeBuildInputs = [
    scdoc
    nushell
  ];

  buildPhase = ''
    for page in $(find manpages -type f); do
      scdoc < $page > $(basename $page .scd)
    done
    export dontPatchShebangs=1
  '';

  installPhase = ''
    mkdir -p $out/{share/man/man1,bin,share/zsh/site-functions}
    cp bin/* $out/bin/
    cp completions/* $out/share/zsh/site-functions/
    cp *.1 $out/share/man/man1/

    runHook postInstall
  '';

  postInstall = ''
    substituteInPlace $out/bin/* \
    --replace "xclip" "${xclip}/bin/xclip" \
    --replace "maim" "${maim}/bin/maim" \
    --replace "pngquant" "${pngquant}/bin/pngquant" \
    --replace "xdotool" "${xdotool}/bin/xdotool" \
    --replace "mpc " "${mpc-cli}/bin/mpc "
  '';

}
